- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::IO::CTextIO Class Reference

List of all members.

## Detailed Description

Quick read and write of text files.

See also:
  CTextStream

Date:
  02/10/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CTextIO.hpp,v 1.5 2007/02/08 21:06:44 paul Exp

Definition at line 39 of file CTextIO.hpp.

## Static Public Member Functions

- static bool readFile (const CSystemString &path, TStringCountedPointerArray &array)
- static bool readFile (const CSystemString &path, CString &string, const CString &endOfLineCharacter="\n")
- static bool writeFile (const CSystemString &path, TStringCountedPointerArray &array)
- static bool writeFile (const CSystemString &path, const CString &string)

## Member Function Documentation

static bool Exponent::IO::CTextIO::readFile | ( | const CSystemString & | path,
|  | TStringCountedPointerArray & | array |
| ) |  |  | `[static]`

Read a file and stuff it in to string array

Parameters:

  | path | The path to the file to read
  | array | On return contains each line of the file as a seperate string

Return values:

  | bool | True if read properly, false otherwise

static bool Exponent::IO::CTextIO::readFile | ( | const CSystemString & | path,
|  | CString & | string,
|  | const CString & | endOfLineCharacter = `"\n"` |
| ) |  |  | `[static]`

Read a file

Parameters:

  | path | The path to the file to read
  | string | On return filled with the entire file as a big array of characters
  | endOfLineCharacter | The character to use for the end of lines (either '\n' or '\r\n'

Return values:

  | bool | True if read correctly, false otherwise

static bool Exponent::IO::CTextIO::writeFile | ( | const CSystemString & | path,
|  | TStringCountedPointerArray & | array |
| ) |  |  | `[static]`

Write a string array of lines to file

Parameters:

  | path | The path to the file to write
  | array | An array containing individual lines to write to the array

Return values:

  | bool | True if written correctly, false otherwise

static bool Exponent::IO::CTextIO::writeFile | ( | const CSystemString & | path,
|  | const CString & | string |
| ) |  |  | `[static]`

Write a string to the file

Parameters:

  | path | The path to the file to write
  | string | The stirng to write to the file (can be treated as an array of characters)

Return values:

  | bool | True if written correctly, false otherwise